summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author Igor <igor29768@gmail.com>2015-11-21 11:10:47 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-11-21 11:11:01 +0700
commit87b93e305968d2b9fba0f7495ce2c1a14d56e340 (patch)
tree523596ddd32a35f3665218e6301a914704f50954 /graphics
parentc62fc9ed83ddb6806d7de16d75b44c57a076bca6 (diff)
downloadslackbuilds-87b93e305968d2b9fba0f7495ce2c1a14d56e340.tar.gz
slackbuilds-87b93e305968d2b9fba0f7495ce2c1a14d56e340.tar.xz
graphics/vips: Added (Free Image Processing System).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'graphics')
-rw-r--r--graphics/vips/README6
-rw-r--r--graphics/vips/slack-desc19
-rw-r--r--graphics/vips/vips.SlackBuild101
-rw-r--r--graphics/vips/vips.info11
4 files changed, 137 insertions, 0 deletions
diff --git a/graphics/vips/README b/graphics/vips/README
new file mode 100644
index 0000000000..cdf96e9946
--- /dev/null
+++ b/graphics/vips/README
@@ -0,0 +1,6 @@
+VIPS is a free image processing system. It includes a range of filters,
+arithmetic operations, colour processing, histograms, and geometric
+transforms. It supports ten pixel formats, from 8-bit unsigned int
+to 128-bit complex. As well as the usual JPEG, TIFF, PNG and WebP images,
+it also supports scientific formats like FITS, OpenEXR, Matlab, Analyze,
+PFM, Radiance, OpenSlide and DICOM (via libMagick).
diff --git a/graphics/vips/slack-desc b/graphics/vips/slack-desc
new file mode 100644
index 0000000000..f68d5653d6
--- /dev/null
+++ b/graphics/vips/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |----handy-ruler----------------------------------------------------------|
+vips: vips (Free Image Processing System)
+vips:
+vips: VIPS is a free image processing system. It includes a range of filters,
+vips: arithmetic operations, colour processing, histograms, and geometric
+vips: transforms. It supports ten pixel formats, from 8-bit unsigned int
+vips: to 128-bit complex. As well as the usual JPEG, TIFF, PNG and WebP images,
+vips: it also supports scientific formats like FITS, OpenEXR, Matlab, Analyze,
+vips: PFM, Radiance, OpenSlide and DICOM (via libMagick).
+vips:
+vips: http://www.vips.ecs.soton.ac.uk/index.php?title=VIPS
+vips:
diff --git a/graphics/vips/vips.SlackBuild b/graphics/vips/vips.SlackBuild
new file mode 100644
index 0000000000..6b6f973f2b
--- /dev/null
+++ b/graphics/vips/vips.SlackBuild
@@ -0,0 +1,101 @@
+#!/bin/sh
+#
+# Slackware Package Build Script for vips
+# Build script by <DIO> igor29768 @ gmail.com
+# Version 151119
+#
+# http://www.vips.ecs.soton.ac.uk/index.php?title=VIPS
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+#
+
+PRGNAM="vips"
+VERSION=${VERSION:-8.1.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $TMP/$PRGNAM-$VERSION $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $TMP/$PRGNAM-$VERSION
+chown -R root.root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --enable-static=no \
+ --build=$ARCH-slackware-linux \
+ $gtk_option
+
+make V=1
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $(find $PKG/usr/man -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ChangeLog TODO $PKG/usr/doc/$PRGNAM-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/vips/vips.info b/graphics/vips/vips.info
new file mode 100644
index 0000000000..383c136c31
--- /dev/null
+++ b/graphics/vips/vips.info
@@ -0,0 +1,11 @@
+PRGNAM="vips"
+VERSION="8.1.1"
+HOMEPAGE="http://www.vips.ecs.soton.ac.uk/index.php?title=VIPS"
+DOWNLOAD="http://www.vips.ecs.soton.ac.uk/supported/8.1/vips-8.1.1.tar.gz"
+MD5SUM="8d9ea3d2d26b4457cfd0709c196fdf9f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="cfitsio libjpeg-turbo libwebp orc"
+MAINTAINER="Igor"
+EMAIL="igor29768@gmail.com"
+